package com.gic.haoban.manage.service.pojo.bo.content.binlog;

import com.alibaba.fastjson.annotation.JSONField;
import com.gic.haoban.manage.service.pojo.BinlogBasePojo;

/**
 * @Author MUSI
 * @Date 2023/4/6 7:19 PM
 * @Description
 * @Version
 **/
public class MaterialMemberGicOrderPojo extends BinlogBasePojo {

    @JSONField(name = "status")
    private Integer orderStatus;

    @JSONField(name = "member_id")
    private String memberId;

    @JSONField(name = "enterprise_id")
    private String enterpriseId;

    /**
     * 订单编号
     */
    @JSONField(name = "order_number")
    private String orderNumber;

    /**
     * 订单id
     */
    @JSONField(name = "order_id")
    private String orderId;

    /**
     * 渠道code
     */
    @JSONField(name = "channel_code")
    private String channelCode;

    /**
     * 表名
     */
    private String tableName;

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }
}
